Skip to content

Search survey responses

Request

Security
bearerAuth and apiKeyAuth
Query
surveyIdstring

Survey id

Bodyapplication/jsonrequired
pageobject(Page)

Describes schema for pagination

filtersArray of objects(Filter_shifu)
curl -i -X POST \
  'https://api3.sprinklr.com/prod/api/v3/surveyResponse/search?surveyId=string' \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Key: YOUR_API_KEY_HERE' \
  -d '{
    "page": {
      "start": 0,
      "size": 0,
      "cursor": "string"
    },
    "filters": [
      {
        "filterType": "string",
        "field": "string",
        "values": [
          {}
        ],
        "details": {
          "property1": {},
          "property2": {}
        },
        "filters": [
          {}
        ]
      }
    ]
  }'

Responses

Success

Bodyapplication/json
hasMoreboolean
responsesArray of objects(SurveyData)
metadataobject(Metadata_models)
customFieldLookupobject
questionLookupobject
Response
{ "hasMore": true, "responses": [ { … } ], "metadata": { "sourceIp": "string", "version": "string", "sequence": 0, "start": 0, "duration": 0, "projectId": "string", "userId": "string", "sessionId": "string", "pageNum": 0, "upload": {}, "end": true }, "customFieldLookup": { "property1": "string", "property2": "string" }, "questionLookup": { "property1": "string", "property2": "string" } }